Subject: Re: [bug#67681] [PATCH] gnu: Add node-commander.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 06 Jan 2024 14:05:11 -0500

Hi,

hrn <[email-masked]> writes:

> Hi,
>
> Thanks  for reviewing!
>
>> Why is the test suite disabled?  A comment (explaining a good
>> reason) is
>> needed :-).
>
> This is what many node packages in node-xyz.scm does. I think this is
> because the tests are difficult to bootstrap. The dependency chains
> for the tests
> are typically large and circular.
>
>> A comment explaining why these are removed would help.
>
> This is also the norm in node-xyz.scm. The excluded dependencies are
> for development and can in many cases be very difficult to bootstrap.
>
> To be able to make progress with packaging node packages it seems to
> me that the general strategy has been  to disable tests and
> dependencies needed for tests. My assumption might be wrong though. Do
> you still think I should add comments?

OK, this makes sense, but hard to grasp for a newcomer like me to (gnu
packages node-xyz).  Perhaps it could be explained in a commentary
comment at the top of the module.

>> Could you please expand a bit on the description?  What features
>> does it
>> have?  Keep it factual; "The complete solution ..." sounds like
>> marketing language.
>
> I agree that this needs to be changed. I blindly copied what the
> package said about itself.

OK.  I look forward to a v2.

-- 
Thanks,
Maxim